ghc-events-0.20.0.0: Library and tool for parsing .eventlog files from GHC

Safe Haskell | None
Language | Haskell2010

GHC.RTS.Events.Analysis.Thread

Synopsis

- data ThreadState
  - = ThreadInitial
  - | ThreadQueued
  - | ThreadRunning
  - | ThreadStopped
  - | ThreadFinal
- threadMachine :: Machine ThreadState EventInfo

# Documentation

data ThreadState Source #

This datatype defines the state machine for a single thread.

Constructors

ThreadInitial |
ThreadQueued |
ThreadRunning |
ThreadStopped |
ThreadFinal |

#### Instances

Instances details

Show ThreadState Source # |
Instance details Defined in GHC.RTS.Events.Analysis.Thread Methods showsPrec :: Int -> ThreadState -> ShowS Source # show :: ThreadState -> String Source # showList :: [ThreadState] -> ShowS Source #
Eq ThreadState Source # |
Instance details Defined in GHC.RTS.Events.Analysis.Thread Methods (==) :: ThreadState -> ThreadState -> Bool Source # (/=) :: ThreadState -> ThreadState -> Bool Source #
Ord ThreadState Source # |

Instance details

Defined in GHC.RTS.Events.Analysis.Thread

Methods

compare :: ThreadState -> ThreadState -> Ordering Source #

(<) :: ThreadState -> ThreadState -> Bool Source #

(<=) :: ThreadState -> ThreadState -> Bool Source #

(>) :: ThreadState -> ThreadState -> Bool Source #

(>=) :: ThreadState -> ThreadState -> Bool Source #

max :: ThreadState -> ThreadState -> ThreadState Source #

min :: ThreadState -> ThreadState -> ThreadState Source #

threadMachine :: Machine ThreadState EventInfo Source #

This state machine tracks the events processed by a thread.